aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2021-10-22 00:53:43 -0400
committerMike Frysinger <vapier@gentoo.org>2021-10-22 00:53:43 -0400
commit9cdd208c660ac8c01f43bbcffaf9c786c31be59b (patch)
treef4247899436f750895b0f0e1b10ed489956f71ab
parentlibsandbox: drop old *.py[co] hack #775416 (diff)
downloadsandbox-9cdd208c660ac8c01f43bbcffaf9c786c31be59b.tar.gz
sandbox-9cdd208c660ac8c01f43bbcffaf9c786c31be59b.tar.bz2
sandbox-9cdd208c660ac8c01f43bbcffaf9c786c31be59b.zip
tests: add missing xattr-0 program
Needed for new xattr tests. Signed-off-by: Mike Frysinger <vapier@gentoo.org>
-rwxr-xr-xtests/xattr-07
1 files changed, 7 insertions, 0 deletions
diff --git a/tests/xattr-0 b/tests/xattr-0
new file mode 100755
index 0000000..5504443
--- /dev/null
+++ b/tests/xattr-0
@@ -0,0 +1,7 @@
+#!/bin/sh
+# Make sure the filesystem supports xattrs.
+file=".test.xattrs"
+touch "${file}"
+setxattr-0 0 "${file}" user.sandbox test 4 0 && ret=0 || ret=77
+rm -f "${file}"
+exit "${ret}"